﻿/*
    This file is to show how CSS and other static resources (such as images) can be
    used from a library project/package.
*/

.my-component {
    border: 2px dashed red;
    padding: 1em;
    margin: 1em 0;
    background-image: url('background.png');
}

/* TreeComponent */

.tree-view .list-group-item {
  cursor: pointer;
}

.tree-view span.indent {
  width: 24px;
  height: 24px;
  margin-left: 0px;
  margin-right: 0px;
}

.tree-view span.icon {
  width: 12px;
  margin-right: 5px;
}

.tree-view .node-disabled {
  color: silver;
  cursor: not-allowed;
}

/* End TreeComponent */

/* Modal */

.bm-container {
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 2;
}

.bm-overlay {
  display: block;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 3;
  background-color: rgba(0,0,0,0.5);
}

.bm-active {
  display: flex;
}

.blazor-modal {
  display: flex;
  flex-direction: column;
  width: 50rem;
  background-color: #fff;
  border-radius: 4px;
  border: 1px solid #fff;
  padding: 1.5rem;
  z-index: 4;
}

.bm-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 0 0 2rem 0;
}

.bm-title {
  margin-bottom: 0;
}

.bm-close {
  padding: 1rem;
  margin: -1rem -1rem -1rem auto;
  background-color: transparent;
  border: 0;
  -webkit-appearance: none;
  cursor: pointer;
}

/* End Modal */